# PeerStatusStream | xrpl
Documentation for xrpl

# Interface PeerStatusStream

The admin-only `peer_status` stream reports a large amount of information on the activities of other rippled servers to which this server is connected, in particular their status in the consensus process.

#### Hierarchy

- BaseStream
  - PeerStatusStream

- Defined in packages/xrpl/src/models/methods/subscribe.ts:305

#####
Index

### Properties

action
date
ledger_hash?
ledger_index?
ledger_index_max?
ledger_index_min?
type

## Properties

### action

action: "CLOSING_LEDGER" | "ACCEPTED_LEDGER" | "SWITCHED_LEDGER" | "LOST_SYNC"

The type of event that prompted this message. See Peer Status Events for possible values.

- Defined in packages/xrpl/src/models/methods/subscribe.ts:311

### date

date: number

The time this event occurred, in seconds since the Ripple Epoch.

- Defined in packages/xrpl/src/models/methods/subscribe.ts:313

### `Optional` ledger_hash

ledger_hash?: string

The identifying Hash of a ledger version to which this message pertains.

- Defined in packages/xrpl/src/models/methods/subscribe.ts:315

### `Optional` ledger_index

ledger_index?: number

The Ledger Index of a ledger version to which this message pertains.

- Defined in packages/xrpl/src/models/methods/subscribe.ts:317

### `Optional` ledger_index_max

ledger_index_max?: number

The largest Ledger Index the peer has currently available.

- Defined in packages/xrpl/src/models/methods/subscribe.ts:319

### `Optional` ledger_index_min

ledger_index_min?: number

The smallest Ledger Index the peer has currently available.

- Defined in packages/xrpl/src/models/methods/subscribe.ts:321

### type

type: "peerStatusChange"

Overrides BaseStream.type

- Defined in packages/xrpl/src/models/methods/subscribe.ts:306

Generated using TypeDoc